hardlink(1)

NAME
hardlink - Link multiple copies of a file

SYNOPSIS
hardlink [option]... [directory|file]...

DESCRIPTION
hardlink is a tool which replaces copies of a file with hardlinks, therefore saving space.

OPTIONS

-h or --help
    print quick usage details to the screen.

-v or --verbose
    More verbose output. If specified once, every hardlinked file is displayed, if specified twice, it also shows every comparison.

-n or --dry-run
    Do not act, just print what would happen

-f or --respect-name
    Only try to link files with the same (basename).

-p or --ignore-mode
    Link/compare files even if their mode is different. This may be a bit unpredictable.

-o or --ignore-owner
    Link/compare files even if their owner (user and group) is different. It is not predictable

-t or --ignore-time
    Link/compare files even if their time of modification is different. You almost always want this.

-X or --respect-xattrs
    Only try to link files with the same extended attributes.

-m or --maximize
    Among equal files, keep the file with the highest link count.

-M or --minimize
    Among equal files, keep the file with the lowest link count.

-O or --keep-oldest
    Among equal files, keep the oldest file (least recent modification time). By default, the newest file is kept. If --maximize or --minimize is specified, the link count has a higher precedence than the time of modification.

-x or --exclude
    A regular expression which excludes files from being compared and linked.

-i or --include
    A regular expression to include files. If the option --exclude has been given, this option re-includes files which would otherwise be excluded. If the option is used without --exclude, only files matched by the pattern are included.

-s or --minimum-size
    The minimum size to consider. By default this is 1, so empty files will not be linked. An optional suffix of K,M,G,T may be provided, indicating that the file size is KiB,MiB,GiB,TiB.

ARGUMENTS
hardlink takes one or more directories which will be searched for files to be linked.

BUGS
hardlink assumes that the trees it operates on do not change during operation. If a tree does change, the result is undefined and potentially dangerous. For example, if a regular file is replaced by a device, hardlink may start reading from the device. If a component of a path is replaced by a symbolic link or file permissions change, security may be compromised. Do not run hardlink on a changing tree or on a tree controlled by another user. hardlink , as of version 0.3 RC1, improperly calculates the amount of space saved if the option --respect-name is specified. In previous versions, the amount was wrong in almost all other cases as well.

AUTHOR
The program hardlink and this manpage have been written by Julian Andres Klode, and are licensed under the MIT license. See the code of hardlink for further information.